org.apache.http.impl.conn

## Class Wire

- java.lang.Object
- - org.apache.http.impl.conn.Wire

-     @Contract(threading=IMMUTABLE)
      public class Wire
      extends Object

  Logs data to the wire LOG. TODO: make package private. Should not be part of the public API.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Wire(org.apache.commons.logging.Log log)`
    `Wire(org.apache.commons.logging.Log log, String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enabled()`
    `void` | `input(byte[] b)`
    `void` | `input(byte[] b, int off, int len)`
    `void` | `input(InputStream inStream)`
    `void` | `input(int b)`
    `void` | `input(String s)`
    `void` | `output(byte[] b)`
    `void` | `output(byte[] b, int off, int len)`
    `void` | `output(InputStream outStream)`
    `void` | `output(int b)`
    `void` | `output(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Wire

          public Wire(org.apache.commons.logging.Log log,
              String id)

      Since:
        4.3

    - #### Wire

          public Wire(org.apache.commons.logging.Log log)

  - ### Method Detail

    - #### enabled

          public boolean enabled()

    - #### output

          public void output(InputStream outStream)
                      throws IOException

      Throws:
        `IOException`

    - #### input

          public void input(InputStream inStream)
                     throws IOException

      Throws:
        `IOException`

    - #### output

          public void output(byte[] b,
                    int off,
                    int len)
                      throws IOException

      Throws:
        `IOException`

    - #### input

          public void input(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Throws:
        `IOException`

    - #### output

          public void output(byte[] b)
                      throws IOException

      Throws:
        `IOException`

    - #### input

          public void input(byte[] b)
                     throws IOException

      Throws:
        `IOException`

    - #### output

          public void output(int b)
                      throws IOException

      Throws:
        `IOException`

    - #### input

          public void input(int b)
                     throws IOException

      Throws:
        `IOException`

    - #### output

          public void output(String s)
                      throws IOException

      Throws:
        `IOException`

    - #### input

          public void input(String s)
                     throws IOException

      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.